/* Copyright (C) 2023-2023 Warsaw University of Technology, Warsaw
    SPDX-License-Identifier: GPL-3.0-only
    Authors: Daniel Wielanek [committer] */
#pragma link off all globals;
#pragma link off all classes;
#pragma link off all functions;

#pragma link C++ enum HalCbm::Formats;

#pragma link C++ class HalCbmHbtFullEvent + ;
#pragma link C++ class HalCbmFullEvent + ;
#pragma link C++ class HalCbmHbtEvent + ;
#pragma link C++ class HalCbmHbtTrack + ;

#pragma link C++ class HalCbmUnigenEvent + ;
#pragma link C++ class HalCbmUnigenEventInterface + ;
#pragma link C++ class CbmUnigenSource + ;
#pragma link C++ class HalCbmUnigenTrack + ;
#pragma link C++ class HalCbmUnigenTrackInterface + ;

#pragma link C++ class HalCbmMCEvent + ;
#pragma link C++ class HalCbmMCEventInterface + ;
#pragma link C++ class HalCbmMCTrack + ;
#pragma link C++ class HalCbmMCTrackInterface + ;

#pragma link C++ class HalCbmEvent + ;
#pragma link C++ class HalCbmEventInterface + ;
#pragma link C++ class HalCbmTrack + ;
#pragma link C++ class HalCbmTrackInterface + ;


#pragma link C++ class HalCbmReader + ;
#pragma link C++ class HalCbmV0TrackTrigger + ;
#pragma link C++ class HalCbmV0Track + ;
#pragma link C++ class HalCbmV0TempTrack + ;
#pragma link C++ class HalCbmV0Track + ;
#pragma link C++ class HalCbmV0Builder + ;
